<!-- NOTE: README.md is generated from src/README.md -->

# codemirror6-themes [![NPM version]](https://www.npmjs.org/package/codemirror6-themes) [![contributions welcome]](https://github.com/ivqonsanada/codemirror6-themes/issues)

This package implements the themes for the [CodeMirror] code editor.

The [project page] has more information, a number of [examples] and the [documentation].

This code is released under an [MIT license].

## Package usage

1. Install the package
   ```bash
   yarn add codemirror6-themes
   ```
2. Import theme you want to use
   ```javascript
   // this will use Material Palenight Theme
   import { materialPalenight } from 'codemirror6-themes';
   ```

## Available themes

| Theme name                                  |               Example |
| :------------------------------------------ | --------------------: |
| Material Palenight <br> `materialPalenight` | ![Material Palenight] |
| Material Darker <br> `materialDarker`       |    ![Material Darker] |

<!-- CodeMirror -->

[codemirror]: https://codemirror.net/6/
[project page]: https://codemirror.net/6/
[examples]: https://codemirror.net/6/examples/
[documentation]: https://codemirror.net/6/docs/

<!-- LICENSE -->

[mit license]: https://github.com/ivqonsanada/codemirror6-themes/tree/main/LICENSE

<!-- Badges -->

[npm version]: https://img.shields.io/npm/v/codemirror6-themes.svg
[contributions welcome]: https://img.shields.io/badge/contributions-welcome-brightgreen.svg?style=flat

<!-- Theme Examples -->

[material palenight]: ./examples/material-palenight.png
[material darker]: ./examples/material-darker.png
