import { Extension } from '@codemirror/state';
import { HighlightStyle } from '@codemirror/highlight';

/**
The editor theme styles for Material Palenight.
*/
declare const materialPalenightTheme: Extension;
/**
The highlighting style for code in the Material Palenight theme.
*/
declare const materialPalenightHighlightStyle: HighlightStyle;
/**
Extension to enable the Material Palenight theme (both the editor theme and
the highlight style).
*/
declare const materialPalenight: Extension;

/**
The editor theme styles for Material Darker.
*/
declare const materialDarkerTheme: Extension;
/**
The highlighting style for code in the Material Darker theme.
*/
declare const materialDarkerHighlightStyle: HighlightStyle;
/**
Extension to enable the Material Darker theme (both the editor theme and
the highlight style).
*/
declare const materialDarker: Extension;

/**
The editor theme styles for Duotone Space Dark.
*/
declare const duotoneSpaceDarkTheme: Extension;
/**
The highlighting style for code in the Duotone Space Dark theme.
*/
declare const duotoneSpaceDarkHighlightStyle: HighlightStyle;
/**
Extension to enable the Duotone Space Dark theme (both the editor theme and
the highlight style).
*/
declare const duotoneSpaceDark: Extension;

export { duotoneSpaceDark, duotoneSpaceDarkHighlightStyle, duotoneSpaceDarkTheme, materialDarker, materialDarkerHighlightStyle, materialDarkerTheme, materialPalenight, materialPalenightHighlightStyle, materialPalenightTheme };
